package com.org.hktshop.Interface.system;

import com.org.hktshop.entity.system.HktSystemRole;

/**
 * @author hotking03
 */
public interface HktSystemRoleService {
    /**
     * 系统角色权限
     * @param hktSystemRole
     */
    void updateSystemRole(HktSystemRole hktSystemRole);

    /**
     * 删除系统角色权限
     * @param hktSystemRole
     */
    void delSystemRole(HktSystemRole hktSystemRole);

    /**
     * 系统角色权限详情
     * @param hktSystemRole
     * @return
     */
    HktSystemRole findSystemRole(HktSystemRole hktSystemRole);

    /**
     * 系统角色权限列表
     * @param hktSystemRole
     * @return
     */
    Object selectSystemRole(HktSystemRole hktSystemRole);
}
